/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Implements email.h */

#include <stdio.h>

#include "email.h"
#include "../util/Util.h"

email::email(email_client_info_t *arg_cl_list, int max_cl, Debug_t *dbg)
  :generic_service(arg_cl_list, max_cl, dbg) {
  cl_list = arg_cl_list;
} // End email::email()

JString email::myName() {
  return "email";
} // End email::myName(0

int email::main(int argc, char *argv[]) {
  FILE *fin = fopen("news.txt", "r");
  if(fin == NULL) {
    vector<JString> &news_str_vec = email_client_info::news_str_vec;
    news_str_vec.push_back("hello world");
    news_str_vec.push_back("");
    return generic_service::main(argc, argv);
  }

  vector<JString> &news_str_vec = email_client_info::news_str_vec;
  char str[1024]; int str_pos = 0;
  for(;;) {
    int ch = fgetc(fin);
    if(ch == EOF) {
      str[str_pos] = 0;
      news_str_vec.push_back(str);
      break;
    }

    if(ch == '.') {
      str[str_pos] = 0;
      news_str_vec.push_back(str);
      str_pos = 0;
    } else {
      str[str_pos] = ch; str_pos++;
    }
  }
  fclose(fin);
  news_str_vec.push_back("");

  return generic_service::main(argc, argv);
} // End email::main()

void email::handleCreate(ServCompIFPkt_t *sPkt, ServCompIFPkt_t *resp_sPkt) {
  generic_service::handleCreate(sPkt, resp_sPkt, PROCESSING_CL);
  int cl_index = findCl(sPkt);
  if(cl_index < 0) {
    cerr << "can't find cl p_id=" << sPkt->fixed.pathID << ':'
	 << sPkt->fixed.path_dest_scid << " path_ver="
	 << sPkt->fixed.version << endl;
    resp_sPkt->fixed.success = 0; return;
  }
  email_client_info_t &cl = get_cl(cl_index);
  cl.sendUpstreamInfo(); // send upstream information, to the elt downstream
} // End email::handleCreate()
