/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Wrapper around email.h */

#include "email.h"
#include "../udp-lib/timeSync.h"
#include "../util/Util.h"

#define MAX_CL 10

int main(int argc, char *argv[]) {
  util_init();
  // Init the debug object
  struct timeval startTime;
  struct in_addr ipAddr;
  ipAddr.s_addr = inet_addr(timeServer);
  bool res1 = getStartTimeAtHost(&startTime, ipAddr);
  if(!res1) {
    cerr << "Can't get time from server " << timeServer << endl;
    exit(11);
  }

  char logFile[128];
  sprintf(logFile, "email-%s.log", getenv("HOSTNAME"));
  bool to_file = true, use_stream = true;
  Debug_t dbg(logFile, 0, startTime, to_file, use_stream);

  email_client_info_t cl_list[MAX_CL];
  email_t e1(cl_list, MAX_CL, &dbg);
  return e1.main(argc, argv);
} // End main()
