/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Implements DetFail.h */

#include "DetFail.h"
#include "../util/Util.h"

DetFail::DetFail(Debug_t *arg_dbg) {
  dbg = arg_dbg;
} // End DetFail::DetFail()

void DetFail::startAgain() {
  gettimeofday(&startTime, NULL);
  while(gaps.size() > 0) { gaps.pop_back(); }
} // End DetFail::startAgain()

void DetFail::addRule(gap_t &g) {
  gaps.push_back(g);
} // End DetFail::addRule()

bool DetFail::dropNow() {
  unsigned long nowTime = (unsigned long)now(startTime);
  for(unsigned int i = 0; i < gaps.size(); i++) {
    if((gaps[i].gap_start <= nowTime) &&
       (nowTime < (gaps[i].gap_start + gaps[i].gap_duration))) {
      return true;
    }
  }
  return false;
} // End DetFail::dropNow()
