/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#ifndef DETFAIL_H
#define DETFAIL_H

#include <vector>

#include <sys/time.h>

#include "../util/Debug.h"

struct gap {
  unsigned long gap_start; // in ms
  unsigned long gap_duration; // in ms
}; // End struct gap
typedef struct gap gap_t;

/** Class to implement deterministic failures */
class DetFail {
protected:
  /** The debug structure */
  Debug_t *dbg;

  /** The start time of application of all rules */
  struct timeval startTime;
  /** The vector of drop times and durations */
  vector<gap_t> gaps;

public:
  DetFail(Debug_t *arg_dbg);

  /** Discard old set of rules and ready for new set of rules */
  void startAgain();
  /** Add the given rule */
  void addRule(gap_t &g);

  /** Should pkt be dropped now, given the set of rules? */
  bool dropNow();

}; // End class DetFail
typedef class DetFail DetFail_t;

#endif
