/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#ifndef MEAS_FWDRAW_H
#define MEAS_FWDRAW_H

#define MEAS_PORT 3344
#define MAX_MEAS 20000

#include <sys/time.h>

struct meas_pkt {
  unsigned long seqNo; // of the pkt being sent
  unsigned long measIndex; // of the 'flagged' pkt being sent
  unsigned short flag; // 'flagged', for logging at fwdRaw.cpp
};
typedef struct meas_pkt meas_pkt_t;

struct meas {
  unsigned long seqNo; // the sequence number of the pkt
  struct timeval start; // the start time
  unsigned short oneWayDelay;
  bool recd; // has pkt been recd while bouncing back?
  meas() {
    oneWayDelay = 0;
    recd = false;
  }
};
typedef struct meas meas_t;

#endif
