# Plotting the CDFs of the UDP distributions used to model failure
# durations

set term postscript eps monochrome
#set term jpeg

set xlabel 'Failure outage period (ms)'
set ylabel 'Cumulative percentage'

set xrange [0:5000]
set yrange [0.999:1.00]
set output 'cdf-gap-1.eps'
#set output 'cdf-gap-1.jpg'
plot \
'../udp-distributions/aruna-jake.density.cdf' using 1:3 \
	t'dest=UNSW,src=UCB' with linespoints,\
'../udp-distributions/jake-aruna.density.cdf' using 1:3 \
	t'dest=UCB,src=UNSW' with linespoints,\
'../udp-distributions/aruna-pandora.density.cdf' using 1:3 \
	t'dest=UNSW,src=TU-Berlin' with linespoints,\
'../udp-distributions/pandora-aruna.density.cdf' using 1:3 \
	t'dest=TU-Berlin,src=UNSW' with linespoints,\
'../udp-distributions/jake-pandora.density.cdf' using 1:3 \
	t'dest=UCB,src=TU-Berlin' with linespoints,\
'../udp-distributions/pandora-jake.density.cdf' using 1:3 \
	t'dest=TU-Berlin,src=UCB' with linespoints

set xrange [0:5000]
set yrange [.999:1.00]
set output 'cdf-gap-2.eps'
#set output 'cdf-gap-2.jpg'
plot \
'../udp-distributions/jake-kofte.density.cdf' using 1:3 \
	t'dest=UCB,src=UIUC' with linespoints,\
'../udp-distributions/kofte-jake.density.cdf' using 1:3 \
	t'dest=UIUC,src=UCB' with linespoints,\
'../udp-distributions/jake-plastique.density.cdf' using 1:3 \
	t'dest=UCB,src=Stan' with linespoints,\
'../udp-distributions/plastique-jake.density.cdf' using 1:3 \
	t'dest=Stan,src=UCB' with linespoints,\
'../udp-distributions/kofte-plastique.density.cdf' using 1:3 \
	t'dest=UIUC,src=Stan' with linespoints,\
'../udp-distributions/plastique-kofte.density.cdf' using 1:3 \
	t'dest=Stan,src=UIUC' with linespoints

set xrange [0:5000]
set yrange [0.999:1.00]
set output 'cdf-gap-3.eps'
#set output 'cdf-gap-3.jpg'
plot \
'../udp-distributions/beetle-jake.density.cdf' using 1:3 \
	t'dest=CMU,src=UCB' with linespoints,\
'../udp-distributions/jake-beetle.density.cdf' using 1:3 \
	t'dest=UCB,src=CMU' with linespoints,\
'../udp-distributions/beetle-plastique.density.cdf' using 1:3 \
	t'dest=CMU,src=Stan' with linespoints,\
'../udp-distributions/plastique-beetle.density.cdf' using 1:3 \
	t'dest=Stan,src=CMU' with linespoints,\
'../udp-distributions/jake-plastique-2.density.cdf' using 1:3 \
	t'dest=UCB,src=Stan (2)' with linespoints,\
'../udp-distributions/plastique-jake-2.density.cdf' using 1:3 \
	t'dest=Stan,src=UCB (2)' with linespoints

set xrange [0:5000]
set yrange [0.999:1.00]
set output 'cdf-gap-sel.eps'
#set output 'cdf-gap-sel.jpg'
plot \
'../udp-distributions/aruna-jake.density.cdf' using 1:3 \
	t'dest=UNSW,src=UCB' with linespoints,\
'../udp-distributions/jake-aruna.density.cdf' using 1:3 \
	t'dest=UCB,src=UNSW' with linespoints,\
'../udp-distributions/jake-kofte.density.cdf' using 1:3 \
	t'dest=UCB,src=UIUC' with linespoints,\
'../udp-distributions/kofte-jake.density.cdf' using 1:3 \
	t'dest=UIUC,src=UCB' with linespoints,\
'../udp-distributions/beetle-plastique.density.cdf' using 1:3 \
	t'dest=CMU,src=Stan' with linespoints,\
'../udp-distributions/plastique-beetle.density.cdf' using 1:3 \
	t'dest=Stan,src=CMU' with linespoints

set xrange [0:5000]
set yrange [0.999:1.00]
set output 'no-failures.eps'
#set output 'no-failures.jpg'
plot \
'../udp-distributions/no-failures.density.cdf' using 1:3 \
	t'no-failure' with linespoints,\
'../udp-distributions/test.density.cdf' using 1:3 \
	t'test' with linespoints
