/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#ifndef BUNCH_H
#define BUNCH_H

#include <vector>

struct patchInfo {
  int pathID;
  unsigned short path_dest_scid;
  unsigned short version;
}; // End struct patchInfo
typedef struct patchInfo patchInfo_t;

struct peerPatchInfo {
  unsigned short scid;
  vector<patchInfo_t> vPatch;
}; // End struct peerPatchInfo
typedef struct peerPatchInfo peerPatchInfo_t;

/** Class that represents a bunched up path recovery message */
class Bunch {
public:
  vector<peerPatchInfo_t> peerList;
  unsigned short fail_dest_scid;
  unsigned short fail_origin_scid;
  void addInfo(unsigned short scid, int pathID, unsigned short path_dest_scid,
	       unsigned short version);
}; // End class Bunch
typedef class Bunch Bunch_t;

#endif
