#!/usr/bin/perl

# (c) 2002 by Bhaskaran Raman and Regents of the University of California

# Program to calculate the average and se of a bunch of numbers given
# in in STDIN

# Also print the % of numbers above 1500 (1.5sec recovery time), and %
# above 2000 (2sec recovery time)

my $sum = 0;
my $sum_sq = 0;
my $count = 0;
my $above_1500 = 0;
my $above_2000 = 0;
my $above_3000 = 0;

while(my $line = <STDIN>) {
    chop($line);
    my $val = $line;
    $sum += $val;
    $sum_sq += $val*$val;
    $count++;
    if($val >= 1500) { $above_1500++; }
    if($val >= 2000) { $above_2000++; }
    if($val >= 3000) { $above_3000++; }
}

my $avg = 0;
my $se = 0;
my $perc_above_1500 = 0;
my $perc_above_2000 = 0;
my $perc_above_3000 = 0;

if($count > 0) {
    $avg = $sum/$count;
    $se = sqrt($sum_sq/$count - $avg*$avg);
    $perc_above_1500 = 100.0*$above_1500/$count;
    $perc_above_2000 = 100.0*$above_2000/$count;
    $perc_above_3000 = 100.0*$above_3000/$count;
}

print STDOUT "$avg\t$se\t$perc_above_1500\t$perc_above_2000\t$perc_above_3000\n";
