#!/usr/bin/perl

# (c) 2002 by Bhaskaran Raman and Regents of the University of California

# Compute the CDF of a bunch of numbers given in a file

my @arr;
my $count = 0;
my $max_index = -1;

while(my $line = <STDIN>) {
    chop($line);
    $arr[$count] = $line;
    if(($max_index == -1) || ($arr[$max_index] < $arr[$count])) {
	$max_index = $count;
    }
    $count++;
}

if($count == 0) {
    print STDOUT "0\t100\n";
    print STDOUT "1\t100\n";
    exit(0);
}

my $max = $arr[$max_index];

for(my $val = 0; $val <= ($max+50); $val += 50) {
    my $freq = 0;
    for(my $j = 0; $j < $count; $j++) {
	if($arr[$j] <= $val) { $freq++; }
    }
    my $perc = 100.0*$freq/$count;
    print STDOUT "$val\t$perc\n";
}
