#!/usr/bin/perl

# (c) 2002 by Bhaskaran Raman and Regents of the University of California

# Program to merge the columns of two given files (useful for
# generating scid mapping files from 'millstat' output)

sub usage {
    print STDERR "Usage: $0 <col1-file> <col2-file>\n";
} # End usage

($#ARGV == 1) || do { usage(); exit(1); };

my $col1_file = shift;
my $col2_file = shift;

open(COL1_FILE, "<$col1_file") || die "Can't open $col1_file: $!\n";
open(COL2_FILE, "<$col2_file") || die "Can't open $col2_file: $!\n";

READLOOP:
for(;;) {
    my $line1 = <COL1_FILE>;
    my $line2 = <COL2_FILE>;
    if(!defined($line1) && !defined($line2)) {
	last READLOOP;
    }
    if(!defined($line1) || !defined($line2)) {
	print STDERR "Two files don't have the same number of lines\n";
	last READLOOP;
    }
    chop($line1); chop($line2);
    print STDOUT "$line1\t$line2\n";
}
