#!/usr/bin/perl

# (c) 2002 by Bhaskaran Raman and Regents of the University of California

# Program to generate random service locations for a given number of
# nodes

sub usage {
    print STDERR "Usage: $0 <num-nodes> <output_file>\n";
} # End usage()

MAIN: {
    ($#ARGV == 1) || do { usage(); exit(1); };
    my $num_nodes = shift;
    my $out_file = shift;

    my @sList = split(/ /, "s0 s1 s2 s3 s4 s5 s6 s7 s8 s9");
    open(FOUT, ">$out_file") || die "Couldn't open $out_file: $!";

    for(my $i = 1; $i <= $num_nodes; $i++) {
	print FOUT "noop $i mm52.millennium.berkeley.edu 24000\n";
    }

    foreach my $service (@sList) {
	# generate 2 random positions for the service
	my $randNode1 = int(rand($num_nodes));
	my $randNode2 = int(rand($num_nodes));
	while($randNode2 == $randNode1) {
	    $randNode2 = int(rand($num_nodes));
	}
	my $randNode3 = int(rand($num_nodes));
	while(($randNode3 == $randNode1) || ($randNode3 == $randNode2)) {
	    $randNode3 = int(rand($num_nodes));
	}
	my $randNode4 = int(rand($num_nodes));
	while(($randNode4 == $randNode1) || ($randNode4 == $randNode2)
	      || ($randNode4 == $randNode3)) {
	    $randNode4 = int(rand($num_nodes));
	}
	$randNode1++; $randNode2++; $randNode3++; $randNode4++;
	print FOUT "$service $randNode1 mm52.millennium.berkeley.edu 24000\n";
	print FOUT "$service $randNode2 mm52.millennium.berkeley.edu 24000\n";
	print FOUT "$service $randNode3 mm52.millennium.berkeley.edu 24000\n";
	print FOUT "$service $randNode4 mm52.millennium.berkeley.edu 24000\n";
    }

    close(FOUT);

} # End MAIN
