#!/usr/bin/perl

# (c) 2002 by Bhaskaran Raman and Regents of the University of California

# Program to get the unloaded millennium machines

sub usage {
    print STDERR "Usage: $0 <num-machines> [unwanted-machine-1] [unwanted-machine-2]...\n";
}

($#ARGV >= 0) || do { usage(); exit(1); };
my $num_unwanted = $#ARGV;
my $num_mach = shift;

# Get list of unwanted machines
my @unwanted;
for(my $i = 0; $i < $num_unwanted; $i++) {
    $unwanted[$i] = shift;
}

# Form command-line to mill machines
my $cmd_line = "millstat | awk '{print \$1;}' ";
for(my $i = 0; $i < $num_unwanted; $i++) {
    my $mach = $unwanted[$i];
    $cmd_line .= "| grep -v $mach ";
}
my $num_mach_plus_3 = $num_mach + 3;
$cmd_line .= "| head -n $num_mach_plus_3 | tail -n $num_mach";

unlink "mill.list";
print STDERR "$cmd_line > mill.list\n";
system("$cmd_line > mill.list");

# Generate numbers
my $cmd_line2 = "./print-nums.pl $num_mach";

unlink "num.list";
print STDERR "$cmd_line2 > num.list\n";
system("$cmd_line2 > num.list");

# Merge numbers and machine list
my $cmd_line3 = "./col-merge.pl num.list mill.list";

unlink "merge.list";
print STDERR "$cmd_line3 > merge.list\n";
system("$cmd_line3 > merge.list");
