#!/usr/bin/perl

# (c) 2002 by Bhaskaran Raman and Regents of the University of California

# Program to calculate the number of edges in a graph
# Graph representation is as in the config files for serv-comp

sub usage {
    print STDERR "Usage: $0 <graph-file>\n";
}

MAIN: {

    ($#ARGV == 0) || do { usage(); exit(1); };

    my $graph_file = shift;
    open(GRAPH, "<$graph_file") || die "Can't open $graph_file: $!\n";

    my $num_edges = 0;
    while(my $line = <GRAPH>) {
	chop($line);
	my @fields = split(/\s+/, $line);

	my $num_fields = scalar(@fields);

	if(($num_fields % 2) != 1) {
	    print STDERR "Even number of fields?\n";
	    exit(2);
	}

	$num_edges += $num_fields/2;
    }

    print STDERR "Number of edges in graph = $num_edges\n";
}
