#!/usr/bin/perl

# (c) 2002 by Bhaskaran Raman and Regents of the University of California

# Program to parse the merged log file to extract statistics

sub usage {
    print STDERR "Usage: $0 <MERGED_LOG_FILE>\n";
} # End usage()

MAIN: {

    ($#ARGV == 0) || do { usage(); exit(1); };
    my $log_file = shift;

    open(LOG, "<$log_file") || die "Can't open $log_file: $!\n";

    my $totSent = 0;
    my $totRecd = 0;

    while(my $line = <LOG>) {
	chop($line);
	if($line =~ /total-sent/) {
	    my ($time, $scid, $fn, $desc, $numSent);
	    ($time, $scid, $fn, $desc, $numSent) = split(/\s+/, $line);
	    $totSent += $numSent;
	}
	if($line =~ /total-recd/) {
	    my ($time, $scid, $fn, $desc, $numRecd);
	    ($time, $scid, $fn, $desc, $numRecd) = split(/\s+/, $line);
	    $totRecd += $numRecd;
	}
    }

    close(LOG);

    print STDERR "totSent=$totSent\n";
    print STDERR "totRecd=$totRecd\n";

} # End MAIN
