# This is one of the plot files used for SIGMETRICS'02 paper

jpeg_type=1
eps_type=2
#op_type=eps_type
op_type=jpeg_type

if(op_type == eps_type) \
	set term postscript eps monochrome
if(op_type == jpeg_type) \
	set term jpeg

set xlabel 'Number of paths on failed edge'
set ylabel 'Average time to path recovery (ms)'

if(op_type == eps_type) \
	set output 'delay-rp.eps'
if(op_type == jpeg_type) \
	set output 'delay-rp.jpg'
plot \
'alt-done-rp-e2e-gr.out' using 1:2 \
        t'e2e' with linespoints pt 1,\
'alt-done-rp-e2e-gr.out' using 1:2:3 \
        notitle with yerrorbars pt 1

if(op_type == eps_type) \
	set output 'above-thresh.eps'
if(op_type == jpeg_type) \
	set output 'above-thresh-rp.jpg'
set xlabel 'Number of paths on failed edge'
set ylabel '% paths with recovery time above threshold'
plot \
'alt-done-rp-e2e-gr.out' using 1:4 \
	t'perc above 1.5sec' with linespoints pt 1,\
'alt-done-rp-e2e-gr.out' using 1:6 \
	t'perc above 3.0sec' with linespoints pt 1
