# This is one of the plot files for the SIGMETRICS'02 paper

jpeg_type=1
eps_type=2
#op_type=eps_type
op_type=jpeg_type

if(op_type == eps_type) \
	set term postscript eps monochrome
if(op_type == jpeg_type) \
	set term jpeg

set xlabel 'Time to recovery (ms)'
set ylabel 'Cumulative percentage'

set xrange [0:1600]
if(op_type == eps_type) \
	set output 'opt-cdf-1-6.eps'
if(op_type == jpeg_type) \
	set output 'opt-cdf-1-6.jpg'
plot \
'cdf-01.out' using 1:2 t'load=100' with linespoints, \
'cdf-02.out' using 1:2 t'load=214' with linespoints, \
'cdf-03.out' using 1:2 t'load=300' with linespoints, \
'cdf-04.out' using 1:2 t'load=386' with linespoints, \
'cdf-05.out' using 1:2 t'load=456' with linespoints, \
'cdf-06.out' using 1:2 t'load=542' with linespoints, \
f(x)=a, a=90, f(x) notitle, \
'dummy.out' using 1:2 notitle with linespoints, \
'dummy2.out' using 1:2 notitle with linespoints

set xrange [*:*]
if(op_type == eps_type) \
	set output 'opt-cdf-7-12.eps'
if(op_type == jpeg_type) \
	set output 'opt-cdf-7-12.jpg'
plot \
'cdf-07.out' using 1:2 t'load=631' with linespoints, \
'cdf-08.out' using 1:2 t'load=695' with linespoints, \
'cdf-09.out' using 1:2 t'load=918' with linespoints, \
'cdf-10.out' using 1:2 t'load=1055' with linespoints, \
'cdf-11.out' using 1:2 t'load=1115' with linespoints, \
'cdf-12.out' using 1:2 t'load=1480' with linespoints

set xrange [*:*]
if(op_type == eps_type) \
	set output 'opt-cdf-1-12.eps'
if(op_type == jpeg_type) \
	set output 'opt-cdf-1-12.jpg'
plot \
'cdf-01.out' using 1:2 t'load=100' with linespoints, \
'cdf-02.out' using 1:2 t'load=214' with linespoints, \
'cdf-03.out' using 1:2 t'load=300' with linespoints, \
'cdf-04.out' using 1:2 t'load=386' with linespoints, \
'cdf-05.out' using 1:2 t'load=456' with linespoints, \
'cdf-06.out' using 1:2 t'load=542' with linespoints, \
'cdf-07.out' using 1:2 t'load=631' with linespoints, \
'cdf-08.out' using 1:2 t'load=695' with linespoints, \
'cdf-09.out' using 1:2 t'load=918' with linespoints, \
'cdf-10.out' using 1:2 t'load=1055' with linespoints, \
'cdf-11.out' using 1:2 t'load=1115' with linespoints, \
'cdf-12.out' using 1:2 t'load=1537' with linespoints

set xrange [*:*]
if(op_type == eps_type) \
	set output 'opt-imp-cdf-delay.eps'
if(op_type == jpeg_type) \
	set output 'opt-imp-cdf-delay.jpg'
plot \
'opt-imp-cdf1.out' using 1:2 \
        notitle with lines

set xrange [0:5000]
if(op_type == eps_type) \
	set output 'opt-imp-cdf-delay2.eps'
if(op_type == jpeg_type) \
	set output 'opt-imp-cdf-delay2.jpg'
plot \
'opt-imp-cdf1.out' using 1:2 \
        notitle with lines

