#!/usr/bin/perl

# (c) 2002 by Bhaskaran Raman and Regents of the University of California

# This is a little program that will test if the list of millennium
# nodes are alive, and if ssh1 works on those

sub usage {
    print STDERR "Usage: $0 <scid-mapping-file> <option>\n";
    print STDERR "       Give the file that will be used to start\n";
    print STDERR "       serv-comp on the mill nodes\n";
    print STDERR "Options: -k for killing startServComp programs\n";
    print STDERR "         -u for issuing uptime command\n";
} # End usage

MAIN: {

    ($#ARGV == 1) || do { usage(); exit(1); };
    my $scid_mapping_file = shift;
    my $option = shift;

    my $cmd;
    if($option eq "-u") { $cmd = "\"uptime\""; }
    elsif($option eq "-k") { $cmd = "\"killall -TERM startServComp\""; }
    else { usage(); exit(2); }

    open(SCID_MAP, "<$scid_mapping_file") ||
	die "open: $scid_mapping_file $!";
    while(my $line = <SCID_MAP>) {
	chop($line);
	my ($scid, $host) = split(/\s+/, $line);
	print STDERR "---------- ---------- ---------- ----------\n";
	print STDERR "Issuing cmd to $host (SCID=$scid)\n";
	my $sys_cmd = "ssh1 $host $cmd";
	system($sys_cmd);
    }
    close(SCID_MAP);

} # End MAIN
