#!/usr/bin/perl

# (c) 2002 by Bhaskaran Raman and Regents of the University of California

# Program to start off serv-comp middleware in a bunch of (millennium)
# nodes.  It is assumed that "ssh1" through passphrase works on all
# these machines.  The list of machines is obtained from the given
# SCID mapping file

sub usage {
    print STDERR "Usage: $0 <scid-mapping-file> <graph-file> <services-file>\n";
} # End usage

MAIN: {
    ($#ARGV == 2) || do { usage(); exit(1); };
    my $scid_mapping_file = shift;
    my $graph_file = shift;
    my $services_file = shift;

    my %child_pid_map;

    open(SCID_MAP, "<$scid_mapping_file") ||
	die "open: $scid_mapping_file $!";
    while(my $line = <SCID_MAP>) {
	chop($line);
	my ($scid, $host) = split(/\s+/, $line);
	print STDERR "Issuing command to $host (SCID=$scid)\n";
	my $fork_pid = fork();
	if($fork_pid == 0) {
	    my $timecmd = "time";
	    $timecmd = "";
	    my $cmd = "ssh1 $host \"cd /home/cs/bhaskar/sc/serv-comp/$scid; $timecmd ../startServComp $scid_mapping_file $graph_file $scid $services_file\"";
	    system($cmd);
	    exit(0);
	} else {
	    $child_pid_map{$fork_pid} = $scid;
	}
    }
    close(SCID_MAP);

  WAITLOOP:
    for(;;) {
	my $child_pid = wait();
	if($child_pid == -1) { last WAITLOOP; }
	else {
	    my $exit_scid = $child_pid_map{$child_pid};
	    print STDERR "Child exited: pid=$child_pid, scid = $exit_scid\a\n";
	}
    }

} # End MAIN
