/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#include <iostream>

#include "../util/JString.h"

JString long2str(const long argval) {
  char s[64];
  int slen = 0;
  long val = argval;
  if(argval < 0) { val = -argval; }
  for(;;) {
    s[slen] = '0' + (val%10);
    slen++;
    val = val/10;
    if(val == 0) break;
  }
  if(argval < 0) { s[slen] = '-'; slen++; }
  // reverse JString
  for(int i = 0; i < slen/2; i++) {
    char temp = s[i];
    s[i] = s[slen-i-1];
    s[slen-i-1] = temp;
  }
  s[slen] = 0;
  return JString(s);
} // End long2str()

int f1() {
  cerr << "f1" << endl;
  return 1;
}

int f2() {
  cerr << "f2" << endl;
  return 2;
}

int main(int argc, char *argv[]) {
  JString s1 = "hello world";
  cerr << (long2str(-153678) + " " + s1) << endl;

  int val = (argc > 1) ? f1() : f2();
  cerr << "val=" << val << endl;

  int a = 10;
  int &b = a;
  a = 20;
  cerr << "a=" << a << ", b=" << b << endl;
} // End main()
