/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** To test ServCompIFPkt */

#include "ServCompIFPkt.h"
#include "../udp-lib/UDPLibPkt.h"
#include "../util/Util.h"

int main(int argc, char *argv[]) {
  util_init();
  ServCompIFPkt_t sPkt;
  sPkt.addPair(SERVICES_F, "s0 s1 s2");
  sPkt.addPair(DOWNSTREAM_PATH_F, "downstreampath");
  sPkt.addPair(CREATE_SERV_F, "createserv");
  UDPLibPkt_t uPkt;
  int len = sPkt.toStr(uPkt.data, sizeof(uPkt.data));
  cerr << "len = " << len << endl;

  ServCompIFPkt_t sPkt_copy;
  sPkt_copy.parsePkt(uPkt.data, len);
  cerr << "SERVICES_F=[" << sPkt_copy.getValue(SERVICES_F) << "]" << endl;
  cerr << "DOWNSTREAM_PATH_F=[" << sPkt_copy.getValue(DOWNSTREAM_PATH_F)
       << "]" << endl;
  cerr << "CREATE_SERV_F=[" << sPkt_copy.getValue(CREATE_SERV_F)
       << "]" << endl;
} // End main()
