/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Implements class in AppPkt.h */

#include "AppPkt.h"
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

const char AppPkt::REGISTER = 'r';
const char AppPkt::DEREGISTER = 'd';

int LocalServInfo::parsePkt(char *data) {
  char *col1pos = index(data, ':');
  if(col1pos == NULL) {
    fprintf(stderr, "string invalid format #1\n");
    return 0;
  }
  char *col2pos = index(col1pos+1, ':');
  if(col2pos == NULL) {
    fprintf(stderr, "string invalid format #2\n");
    return 0;
  }

  *col1pos = *col2pos = 0;
  char *sName = data; char *ipStr = col1pos+1;
  char *portStr = col2pos+1;

  // get service name
  strncpy(serviceName, sName, sizeof(serviceName));
  serviceName[sizeof(serviceName)-1] = 0;
  // get ip address
  int res = inet_aton(ipStr, &serviceIP);
  if(res == 0) {
    fprintf(stderr, "Invalid ip in string\n");
    return 0;
  }
  // get port
  servicePort = atoi(portStr);

  return 1;
} // End LocalServInfo::parsePkt()

int AppPkt::parsePkt(char *data, int len) {
  if(len == 0) return 0;
  data[len] = 0; // just to be sure...

  char *col1pos = index(data, ':');
  if(col1pos == NULL) {
    fprintf(stderr, "string invalid format #1\n");
    return 0;
  }

  *col1pos = 0;
  char *typeStr = data; char *servInfoStr = col1pos+1;

  if(strcmp(typeStr, "register") == 0) {
    type = REGISTER;
  } else if(strcmp(typeStr, "deregister") == 0) {
    type = DEREGISTER;
  } else {
    fprintf(stderr, "String does not begin with register or deregister\n");
    return 0;
  }

  return lServInfo.parsePkt(servInfoStr);
} // End AppPkt::parsePkt()
