/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Program to test ServiceLocn.  Tests only the file-reading
    operation, as of 26 Sep 2001, Wednesday */

#include <iostream>
#include <strstream>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "ServiceLocn.h"
#include "../util/Util.h"

void usage(const char *progName) {
  cerr << "Usage: " << progName << " <serviceFileName>" << endl;
} // End usage()

int main(int argc, char *argv[]) {
  util_init();
  if(argc != 2) { usage(argv[0]); exit(1); }

  // do the init part
  const char *fName = argv[1];
  ServiceLocn::init();
  ServiceLocn::readFile(fName);

  // test if getLocations() works
  const vector<GlobalServInfo_t> *gVec;
  for(int i = 0; i < 10; i++) {
    char sName[16];
    ostrstream sout(sName, sizeof(sName));
    sout << "s" << i << '\0';
    gVec = ServiceLocn::getLocations(sName);
    if(gVec == NULL) {
      cerr << "No locations for " << sName << endl;
    } else {
      cerr << "Locations for " << sName << ":" << endl;
      for(unsigned int j = 0; j < gVec->size(); j++) {
	cerr << '\t' << (*gVec)[j].scid
	     << '\t' << inet_ntoa((*gVec)[j].serviceIP)
	     << '\t' << (*gVec)[j].servicePort << endl;
      }
    }
  }
} // End main()
