/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Implements gapStats.h */

#include "gapStats.h"

long gapStats::GAP_THRESHOLD = 100; // 100ms

void gapStats::init(const char *filename) {
  // prepare the output file
  strcpy(gapsFile, filename);
  fout = fopen(gapsFile, "w");
  if(fout == NULL) { perror("gapStats::init"); exit(80); }
  init_done = true;
} // End gapStats::init()

void gapStats::add(float gap, float timeSinceStart) {
  int numGaps = gaps.size();
  if((numGaps >= MAX_GAPS) && ((numGaps%MAX_GAPS) == 0)) {
    fprintf(stderr, "warning: numGaps=%d, MAX_GAPS=%d\n", numGaps, MAX_GAPS);
  }
  gap_time_t g;
  g.gap = (long)gap;
  g.time = (long)timeSinceStart;
  gaps.push_back(g);
  fprintf(stderr, "[g=%ld]", g.gap);
} // End gapStats::add()

void gapStats::end() {
  if(!init_done) { return; }
  for(unsigned int i = 0; i < gaps.size(); i++) {
    fprintf(fout, "%ld\t%ld\n", gaps[i].gap, gaps[i].time);
  }
  fclose(fout);
  fprintf(stderr, "gapStats.end: %s written\n", gapsFile);
} // End gapStats::end()
