/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#ifndef GAP_STATS_H
#define GAP_STATS_H

#define MAX_GAPS 512

#include <stdio.h>
#include <vector>

struct gap_time {
  long gap;
  long time;
};
typedef struct gap_time gap_time_t;

class gapStats {
protected:
  char gapsFile[256];
  FILE *fout;
  vector<gap_time_t> gaps;
  bool init_done;
public:
  static long GAP_THRESHOLD; // threshold for recording gaps, in ms

  gapStats() { init_done = false; }
  void init(const char *filename);
  void add(float gap, float timeSinceStart);
  void end();
}; // End class gapStats
typedef class gapStats gapStats_t;

#endif
