/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Wrapper around tts class */

#include "festival.h"

#include "tts.h"
#include "../udp-lib/timeSync.h"
#include "../util/Util.h"

#define MAX_CL 10

void* tts_thread(void* aTTS_arg) {
  asyncTTS_t *aTTS = (asyncTTS_t*)aTTS_arg;
  // Convert to a waveform
  EST_Wave wave1;
  festival_text_to_wave(aTTS->text, wave1);
  wave1.save(aTTS->fName, "ulaw");

  //cerr << "text=[" << aTTS->text << "] aud_file=[" << aTTS->fName
  //<< "]" << endl;

  // mark 'done' flag and return
  aTTS->done = true;
  return 0;
} // End tts_thread

int main(int argc, char *argv[]) {
  util_init();
  // init the tts library
  //int heap_size = 210000;  // default scheme heap size
  int heap_size = 500000;  // default scheme heap size
  int load_init_files = 1; // we want the festival init files loaded
  festival_initialize(load_init_files, heap_size);

  tts_client_info::setThreadFn(tts_thread);

  // Init the debug object
  struct timeval startTime;
  struct in_addr ipAddr;
  ipAddr.s_addr = inet_addr(timeServer);
  bool res1 = getStartTimeAtHost(&startTime, ipAddr);
  if(!res1) {
    cerr << "Can't get time from server " << timeServer << endl;
    exit(11);
  }

  char logFile[128];
  sprintf(logFile, "tts-%s.log", getenv("HOSTNAME"));
  bool to_file = true, use_stream = true;
  Debug_t dbg(logFile, 0, startTime, to_file, use_stream);

  // Call main() on a 'tts' object
  tts_client_info_t cl_list[MAX_CL];
  tts_t t1(cl_list, MAX_CL, &dbg);
  return t1.main(argc, argv);
} // End main()
