/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#ifndef UDPLIBPKT_H
#define UDPLIBPKT_H

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#define MAXDATASZ 2048

extern char TUN_HOST[];
extern struct in_addr tun_ip;
extern int TUN_PORT;

class UDPLibPkt {
public:
#ifdef IP_TUNNEL
  struct in_addr dest_addr; // for tunneling purposes
  unsigned short dest_port; // for tunneling purposes
  u_int16_t dest_scid, my_scid; // for tunneling purposes
  u_int16_t src_dest_same;
  UDPLibPkt() { src_dest_same = 0; }
#endif
  // ts and nonce are supposed to distinguish duplicate
  // requests/responses from original ones
  unsigned long ts; // timestamp
  unsigned long nonce; // a nonce
  unsigned long reqNo; // the request number (local)
  char data[MAXDATASZ];
}; // End class UDPLibPkt

typedef class UDPLibPkt UDPLibPkt_t;

#endif
