/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
/** Program to test time synchronization routine */

#include <stdio.h>
#include <netdb.h>
#include <unistd.h>

#include "timeSync.h"
#include "../util/Util.h"
#include "../util/Debug.h"

int main(int argc, char *argv[]) {
  util_init();
  if(argc != 3) {
    fprintf(stderr, "Usage: %s <time-server> <log-file>\n", argv[0]);
    exit(1);
  }
  char *timeServerArg = argv[1];
  char *logFile = argv[2];
  struct in_addr ipAddr = nslookup(timeServerArg); // DNS lookup

  struct timeval tv;
  bool res = getStartTimeAtHost(&tv, ipAddr);
  if(!res) {
    fprintf(stderr, "getTimeAtHost error\n");
    exit(3);
  }
  float diff = now(tv);
  fprintf(stderr, "diff = %f ms\n", diff);

  fprintf(stderr, "testing debug -- writing output to logFile %s\n",
	  logFile);

  Debug_t dbg(logFile, 1, tv, cfg_to_file, cfg_use_stream);
  for(int i = 0; i < 10; i++) {
    if(dbg.use_stream) {
      dbg.print() << i << endl;
    } else {
      LogLine_t ll; ll.desc = invalid_desc; ll.pathID = i;
      dbg.addLL(ll);
    }
    usleep(1000*1000);
    fprintf(stderr, ".");
  }
  fprintf(stderr, "\n");
  dbg.close();

  fprintf(stderr, "test debug output written to %s\n", logFile);

} // End main()
