/** (c) 2002 by Bhaskaran Raman and Regents of the University of California */
#ifndef TIMESYNC_H
#define TIMESYNC_H

#include <sys/time.h>
#include <netinet/in.h>

#define TIME_SYNC_PORT 7744
#define TIME_SYNC_ACK_PORT 7745

extern char timeServer[];

/** Get the start time from given host (RTT is assumed to be
    neglible).  The time is adjusted to time difference between the
    two machines.  If a program calls this routine, and uses the time
    value to compute relative times for logging, then all logs will be
    w.r.t. one single time -- the start time as returned by the time
    server */
bool getStartTimeAtHost(struct timeval *tv, struct in_addr ipAddr);

#endif
